=== modified file 'plugin/multi_thread/multi_thread.cc'
--- plugin/multi_thread/multi_thread.cc	2009-10-02 19:32:56 +0000
+++ plugin/multi_thread/multi_thread.cc	2009-10-06 19:20:36 +0000
@@ -13,6 +13,7 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */
 
+#include <drizzled/server_includes.h>
 #include <plugin/multi_thread/multi_thread.h>
 
 using namespace std;

=== modified file 'plugin/multi_thread/multi_thread.h'
--- plugin/multi_thread/multi_thread.h	2009-10-01 22:56:26 +0000
+++ plugin/multi_thread/multi_thread.h	2009-10-06 19:20:36 +0000
@@ -13,7 +13,9 @@
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
-#include <drizzled/server_includes.h>
+#ifndef PLUGIN_MULTI_THREAD_MULTI_THREAD_H
+#define PLUGIN_MULTI_THREAD_MULTI_THREAD_H
+
 #include <drizzled/atomics.h>
 #include <drizzled/gettext.h>
 #include <drizzled/error.h>
@@ -65,3 +67,5 @@
     killSessionNow(session);
   }
 };
+
+#endif /* PLUGIN_MULTI_THREAD_MULTI_THREAD_H */

=== modified file 'plugin/pool_of_threads/pool_of_threads.cc'
--- plugin/pool_of_threads/pool_of_threads.cc	2009-10-02 19:32:56 +0000
+++ plugin/pool_of_threads/pool_of_threads.cc	2009-10-06 19:20:36 +0000
@@ -1,5 +1,4 @@
-/*
- * - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+/* -*- mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
  * vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
  *
  * Copyright (C) 2006 MySQL AB
@@ -18,6 +17,7 @@
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
  */
 
+#include <drizzled/server_includes.h>
 #include <plugin/pool_of_threads/pool_of_threads.h>
 
 using namespace std;

=== modified file 'plugin/pool_of_threads/pool_of_threads.h'
--- plugin/pool_of_threads/pool_of_threads.h	2009-10-01 22:56:26 +0000
+++ plugin/pool_of_threads/pool_of_threads.h	2009-10-06 19:20:36 +0000
@@ -1,5 +1,4 @@
-/*
- * - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+/* -*- mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
  * vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
  *
  * Copyright (C) 2009 Sun Microsystems
@@ -18,7 +17,9 @@
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
  */
 
-#include <drizzled/server_includes.h>
+#ifndef PLUGIN_POOL_OF_THREADS_POOL_OF_THREADS_H
+#define PLUGIN_POOL_OF_THREADS_POOL_OF_THREADS_H
+
 #include <drizzled/gettext.h>
 #include <drizzled/error.h>
 #include <drizzled/plugin/scheduler.h>
@@ -95,3 +96,5 @@
    */
   bool libevent_init(void);
 }; 
+
+#endif /* PLUGIN_POOL_OF_THREADS_POOL_OF_THREADS_H */

=== modified file 'plugin/single_thread/single_thread.cc'
--- plugin/single_thread/single_thread.cc	2009-10-01 22:56:26 +0000
+++ plugin/single_thread/single_thread.cc	2009-10-06 19:20:36 +0000
@@ -13,6 +13,7 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */
 
+#include <drizzled/server_includes.h>
 #include <plugin/single_thread/single_thread.h>
 
 using namespace std;

=== modified file 'plugin/single_thread/single_thread.h'
--- plugin/single_thread/single_thread.h	2009-10-01 22:56:26 +0000
+++ plugin/single_thread/single_thread.h	2009-10-06 19:20:36 +0000
@@ -13,7 +13,9 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */
 
-#include <drizzled/server_includes.h>
+#ifndef PLUGIN_SINGLE_THREAD_SINGLE_THREAD_H
+#define PLUGIN_SINGLE_THREAD_SINGLE_THREAD_H
+
 #include <drizzled/gettext.h>
 #include <drizzled/error.h>
 #include <drizzled/plugin/scheduler.h>
@@ -59,3 +61,5 @@
     my_thread_end();
   }
 };
+
+#endif /* PLUGIN_SINGLE_THREAD_SINGLE_THREAD_H */

